QT 5.7 error compile on Wandboard

Yocto related software discussions are here

QT 5.7 error compile on Wandboard

Postby aletes67 » Thu Oct 27, 2016 10:22 pm

I am configuring my Ubuntu system to develop on arm platform with a wandboard card.
I followed these guides:
http://wiki.wandboard.org/index.php/Building_Qt5_using_yocto_on_Wandboard
http://wiki.wandboard.org/index.php/Setup_QT_creator_for_developing_QT_apps_on_wandboard#Build_and_Deploy_application_in_QT_Creator

and the environment properly installed.
I installed QT: Based on Qt 5.7.0 (GCC 4.9.1 20140922 (Red Hat 4.9.1-10), 64-bit)
I'm trying to compile a simple application but using the standard kit (Desktop) the application is compiled; if I try to use the configured kit for wandboard card, created as indicated by the wiki the build fails with these three errors:

: -1: Error: can not find -lQt5Widgets
: -1: Error: can not find -lQt5Gui
: -1: Error: can not find -lQt5Core

What is missing in configuration?
aletes67
 
Posts: 2
Joined: Thu Oct 27, 2016 10:16 pm

Re: QT 5.7 error compile on Wandboard

Postby Richard » Mon Dec 26, 2016 2:15 am

Hello, aletes67:

It seems QT creator can't find the right path for QT library.
There is a document to guide how to set up QT creator for Yocto.
I upload it as attachment.
Hope it's helpful for you.
Attachments
Setup_QT_Creator_for_Yocto.pdf
(1.19 MiB) Downloaded 51 times
Richard
Site Admin
 
Posts: 134
Joined: Tue Dec 17, 2013 6:57 am


Return to Software - Yocto

Who is online

Users browsing this forum: No registered users and 3 guests

cron